<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sat Aug 03 14:01:01 PDT 2013 -->
<TITLE>
Serialized Form
</TITLE>

<META NAME="date" CONTENT="2013-08-03">

<LINK REL ="stylesheet" TYPE="text/css" HREF="stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Serialized Form";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?serialized-form.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="serialized-form.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H1>
Serialized Form</H1>
</CENTER>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>com.theuberlab.njord.exceptions</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="com.theuberlab.njord.exceptions.NoSuchBigIPException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="com/theuberlab/njord/exceptions/NoSuchBigIPException.html" title="class in com.theuberlab.njord.exceptions">com.theuberlab.njord.exceptions.NoSuchBigIPException</A> extends java.lang.Exception implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
bigIPName</H3>
<PRE>
java.lang.String <B>bigIPName</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="com.theuberlab.njord.exceptions.NoSuchPluginRegisteredException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="com/theuberlab/njord/exceptions/NoSuchPluginRegisteredException.html" title="class in com.theuberlab.njord.exceptions">com.theuberlab.njord.exceptions.NoSuchPluginRegisteredException</A> extends java.lang.Exception implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
pluginName</H3>
<PRE>
java.lang.String <B>pluginName</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>com.theuberlab.njord.experiments</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="com.theuberlab.njord.experiments.FindAndReplaceDemo"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="com/theuberlab/njord/experiments/FindAndReplaceDemo.html" title="class in com.theuberlab.njord.experiments">com.theuberlab.njord.experiments.FindAndReplaceDemo</A> extends javax.swing.JFrame implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>1L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
textArea</H3>
<PRE>
org.fife.ui.rsyntaxtextarea.RSyntaxTextArea <B>textArea</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
searchField</H3>
<PRE>
javax.swing.JTextField <B>searchField</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
regexCB</H3>
<PRE>
javax.swing.JCheckBox <B>regexCB</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
matchCaseCB</H3>
<PRE>
javax.swing.JCheckBox <B>matchCaseCB</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>com.theuberlab.njord.experiments.javadocking</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="com.theuberlab.njord.experiments.javadocking.FirstExample"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="com/theuberlab/njord/experiments/javadocking/FirstExample.html" title="class in com.theuberlab.njord.experiments.javadocking">com.theuberlab.njord.experiments.javadocking.FirstExample</A> extends javax.swing.JPanel implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>1L

<P>

<P>
<A NAME="com.theuberlab.njord.experiments.javadocking.MainGUILauncher"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="com/theuberlab/njord/experiments/javadocking/MainGUILauncher.html" title="class in com.theuberlab.njord.experiments.javadocking">com.theuberlab.njord.experiments.javadocking.MainGUILauncher</A> extends javax.swing.JPanel implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="com.theuberlab.njord.experiments.javadocking.TextPanel"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="com/theuberlab/njord/experiments/javadocking/TextPanel.html" title="class in com.theuberlab.njord.experiments.javadocking">com.theuberlab.njord.experiments.javadocking.TextPanel</A> extends javax.swing.JPanel implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
label</H3>
<PRE>
javax.swing.JLabel <B>label</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>com.theuberlab.njord.experiments.swinglib</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="com.theuberlab.njord.experiments.swinglib.AsyncListiRules"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="com/theuberlab/njord/experiments/swinglib/AsyncListiRules.html" title="class in com.theuberlab.njord.experiments.swinglib">com.theuberlab.njord.experiments.swinglib.AsyncListiRules</A> extends javax.swing.JPanel implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>1L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
nl</H3>
<PRE>
java.lang.String <B>nl</B></PRE>
<DL>
<DD>Holds the line separator string for the os we're running on.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
log</H3>
<PRE>
org.slf4j.Logger <B>log</B></PRE>
<DL>
<DD>Holds our logger factory for SLF4J.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
notifier</H3>
<PRE>
<A HREF="com/theuberlab/njord/util/NjordNotifier.html" title="class in com.theuberlab.njord.util">NjordNotifier</A> <B>notifier</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
concierge</H3>
<PRE>
<A HREF="com/theuberlab/njord/util/NjordConcierge.html" title="class in com.theuberlab.njord.util">NjordConcierge</A> <B>concierge</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
_threadPool</H3>
<PRE>
java.util.concurrent.ExecutorService <B>_threadPool</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
_dialogOwner</H3>
<PRE>
javax.swing.JFrame <B>_dialogOwner</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>com.theuberlab.njord.model</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="com.theuberlab.njord.model.Picture"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="com/theuberlab/njord/model/Picture.html" title="class in com.theuberlab.njord.model">com.theuberlab.njord.model.Picture</A> extends javax.swing.JPanel implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>com.theuberlab.njord.ui</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="com.theuberlab.njord.ui.BIGIPSettingsDialog"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="com/theuberlab/njord/ui/BIGIPSettingsDialog.html" title="class in com.theuberlab.njord.ui">com.theuberlab.njord.ui.BIGIPSettingsDialog</A> extends javax.swing.JDialog implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>1L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
owner</H3>
<PRE>
<A HREF="com/theuberlab/njord/ui/Njord.html" title="class in com.theuberlab.njord.ui">Njord</A> <B>owner</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
optionPane</H3>
<PRE>
javax.swing.JOptionPane <B>optionPane</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
btnString1</H3>
<PRE>
java.lang.String <B>btnString1</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
btnString2</H3>
<PRE>
java.lang.String <B>btnString2</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
frame</H3>
<PRE>
javax.swing.JFrame <B>frame</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
ConnPreffsBigIPName</H3>
<PRE>
javax.swing.JTextField <B>ConnPreffsBigIPName</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
ConnPreffsHostTextField</H3>
<PRE>
javax.swing.JTextField <B>ConnPreffsHostTextField</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
ConnPreffsPortTextField</H3>
<PRE>
javax.swing.JTextField <B>ConnPreffsPortTextField</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
ConnPreffsUserTextField</H3>
<PRE>
javax.swing.JTextField <B>ConnPreffsUserTextField</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
ConnPreffsPasswordTextField</H3>
<PRE>
javax.swing.JPasswordField <B>ConnPreffsPasswordTextField</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
chckbxShow</H3>
<PRE>
javax.swing.JCheckBox <B>chckbxShow</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
chkbxConnPrefsSavePassword</H3>
<PRE>
javax.swing.JCheckBox <B>chkbxConnPrefsSavePassword</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
chkbxConnPrefsConnectAutomatically</H3>
<PRE>
javax.swing.JCheckBox <B>chkbxConnPrefsConnectAutomatically</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
panel_1</H3>
<PRE>
javax.swing.JPanel <B>panel_1</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
log</H3>
<PRE>
org.slf4j.Logger <B>log</B></PRE>
<DL>
<DD>Holds our logger factory for SLF4J.
<P>
<DL>
</DL>
</DL>

<P>
<A NAME="com.theuberlab.njord.ui.FlexibleTextDialog"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="com/theuberlab/njord/ui/FlexibleTextDialog.html" title="class in com.theuberlab.njord.ui">com.theuberlab.njord.ui.FlexibleTextDialog</A> extends javax.swing.JDialog implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
owner</H3>
<PRE>
<A HREF="com/theuberlab/njord/ui/Njord.html" title="class in com.theuberlab.njord.ui">Njord</A> <B>owner</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
optionPane</H3>
<PRE>
javax.swing.JOptionPane <B>optionPane</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
frame</H3>
<PRE>
javax.swing.JFrame <B>frame</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
pwdHiddenTextField</H3>
<PRE>
javax.swing.JPasswordField <B>pwdHiddenTextField</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
chkbxShowHideText</H3>
<PRE>
javax.swing.JCheckBox <B>chkbxShowHideText</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
panel_1</H3>
<PRE>
javax.swing.JPanel <B>panel_1</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="com.theuberlab.njord.ui.NewiRuleDialog"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="com/theuberlab/njord/ui/NewiRuleDialog.html" title="class in com.theuberlab.njord.ui">com.theuberlab.njord.ui.NewiRuleDialog</A> extends javax.swing.JDialog implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
owner</H3>
<PRE>
<A HREF="com/theuberlab/njord/ui/Njord.html" title="class in com.theuberlab.njord.ui">Njord</A> <B>owner</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
optionPane</H3>
<PRE>
javax.swing.JOptionPane <B>optionPane</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
frame</H3>
<PRE>
javax.swing.JFrame <B>frame</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
txtObjectName</H3>
<PRE>
javax.swing.JTextField <B>txtObjectName</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
ConnPreffsHostTextField</H3>
<PRE>
javax.swing.JTextField <B>ConnPreffsHostTextField</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
ConnPreffsPortTextField</H3>
<PRE>
javax.swing.JTextField <B>ConnPreffsPortTextField</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
ConnPreffsUserTextField</H3>
<PRE>
javax.swing.JTextField <B>ConnPreffsUserTextField</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
panel_1</H3>
<PRE>
javax.swing.JPanel <B>panel_1</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
objectArchetypes</H3>
<PRE>
java.lang.String[] <B>objectArchetypes</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
spnrCreatIn</H3>
<PRE>
javax.swing.JSpinner <B>spnrCreatIn</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
lblObjectTemplate</H3>
<PRE>
javax.swing.JLabel <B>lblObjectTemplate</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
lstObjectArchetype</H3>
<PRE>
javax.swing.JList <B>lstObjectArchetype</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
spinnerListM</H3>
<PRE>
javax.swing.SpinnerListModel <B>spinnerListM</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
ArchetypesListList</H3>
<PRE>
java.util.ArrayList&lt;E&gt; <B>ArchetypesListList</B></PRE>
<DL>
<DD>Holds the list of rule architypes.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
destinationsList</H3>
<PRE>
java.util.ArrayList&lt;E&gt; <B>destinationsList</B></PRE>
<DL>
<DD>holds the possible destinations for an object.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
cmboDestinations</H3>
<PRE>
javax.swing.JComboBox <B>cmboDestinations</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
destinationsComboboxModel</H3>
<PRE>
javax.swing.DefaultComboBoxModel <B>destinationsComboboxModel</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
archetypesComboboxModel</H3>
<PRE>
javax.swing.DefaultComboBoxModel <B>archetypesComboboxModel</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="com.theuberlab.njord.ui.Njord"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="com/theuberlab/njord/ui/Njord.html" title="class in com.theuberlab.njord.ui">com.theuberlab.njord.ui.Njord</A> extends javax.swing.JPanel implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>2L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
mainFrame</H3>
<PRE>
javax.swing.JFrame <B>mainFrame</B></PRE>
<DL>
<DD>Holds the main window
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
mainWindowTitle</H3>
<PRE>
java.lang.String <B>mainWindowTitle</B></PRE>
<DL>
<DD>Holds the main window title. I should probably get this from somewhere else
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
nl</H3>
<PRE>
java.lang.String <B>nl</B></PRE>
<DL>
<DD>Holds the line separator string for the os we're running on.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
logPrefix</H3>
<PRE>
java.lang.String <B>logPrefix</B></PRE>
<DL>
<DD>What to prefix log messages with
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
log</H3>
<PRE>
org.slf4j.Logger <B>log</B></PRE>
<DL>
<DD>Holds our logger factory for SLF4J.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
preferences</H3>
<PRE>
<A HREF="com/theuberlab/njord/util/NjordPreferences.html" title="class in com.theuberlab.njord.util">NjordPreferences</A> <B>preferences</B></PRE>
<DL>
<DD>Stores all preferences. 
 This includes BIGIP connectivity information, user preferences and eventually window geometry.
 NOTE: Currently window geometry is stored and retrieved completely independently of this object.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
njordContentProvidor</H3>
<PRE>
<A HREF="com/theuberlab/njord/cm/NjordContentProvider.html" title="class in com.theuberlab.njord.cm">NjordContentProvider</A> <B>njordContentProvidor</B></PRE>
<DL>
<DD>The content provider.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
navTree</H3>
<PRE>
<A HREF="com/theuberlab/njord/ui/NjordNavTree.html" title="class in com.theuberlab.njord.ui">NjordNavTree</A> <B>navTree</B></PRE>
<DL>
<DD>navigationTree is the JTree that holds the list of iRules and all that which we are going to work on.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
lastActiveEditorPanel</H3>
<PRE>
<A HREF="com/theuberlab/njord/interfaces/NjordEditorPanel.html" title="interface in com.theuberlab.njord.interfaces">NjordEditorPanel</A> <B>lastActiveEditorPanel</B></PRE>
<DL>
<DD>Will hold the active editor panel.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
noticesTextArea</H3>
<PRE>
javax.swing.JTextArea <B>noticesTextArea</B></PRE>
<DL>
<DD>Holds messages we wish to convey to the user.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
pluginManager</H3>
<PRE>
<A HREF="com/theuberlab/njord/plugin/NjordPluginManager.html" title="class in com.theuberlab.njord.plugin">NjordPluginManager</A> <B>pluginManager</B></PRE>
<DL>
<DD>The plugin manager will manage all our plugins.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
concierge</H3>
<PRE>
<A HREF="com/theuberlab/njord/util/NjordConcierge.html" title="class in com.theuberlab.njord.util">NjordConcierge</A> <B>concierge</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
notifier</H3>
<PRE>
<A HREF="com/theuberlab/njord/util/NjordNotifier.html" title="class in com.theuberlab.njord.util">NjordNotifier</A> <B>notifier</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
annotationColor</H3>
<PRE>
java.awt.Color <B>annotationColor</B></PRE>
<DL>
<DD>The color to use for highlighting annotations
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
variableColor</H3>
<PRE>
java.awt.Color <B>variableColor</B></PRE>
<DL>
<DD>The color to use for highlighting variables
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
commentColor</H3>
<PRE>
java.awt.Color <B>commentColor</B></PRE>
<DL>
<DD>The color to use for highlighting comments
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
functionColor</H3>
<PRE>
java.awt.Color <B>functionColor</B></PRE>
<DL>
<DD>The color to use for highlighting functions
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
regexColor</H3>
<PRE>
java.awt.Color <B>regexColor</B></PRE>
<DL>
<DD>The color to use for highlighting regular expressions
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
reservedWordColor</H3>
<PRE>
java.awt.Color <B>reservedWordColor</B></PRE>
<DL>
<DD>The color to use for highlighting tcl built in commands
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
reservedWord2Color</H3>
<PRE>
java.awt.Color <B>reservedWord2Color</B></PRE>
<DL>
<DD>The color to use for highlighting iRules added commands
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
operatorColor</H3>
<PRE>
java.awt.Color <B>operatorColor</B></PRE>
<DL>
<DD>The color to use for highlighting operators
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
doublequoteColor</H3>
<PRE>
java.awt.Color <B>doublequoteColor</B></PRE>
<DL>
<DD>The color to use for highlighting quoted text
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
backquoteColor</H3>
<PRE>
java.awt.Color <B>backquoteColor</B></PRE>
<DL>
<DD>The color to use for highlighting backquoted text
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
bracketColor</H3>
<PRE>
java.awt.Color <B>bracketColor</B></PRE>
<DL>
<DD>The color to use for highlighting brackets
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
desktop</H3>
<PRE>
java.awt.Desktop <B>desktop</B></PRE>
<DL>
<DD>The user's desktop environment
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
centerTabbedDock</H3>
<PRE>
com.javadocking.dock.TabDock <B>centerTabbedDock</B></PRE>
<DL>
<DD>A placeholder for the center (main) tab dock.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
bottomTabbedDock</H3>
<PRE>
com.javadocking.dock.TabDock <B>bottomTabbedDock</B></PRE>
<DL>
<DD>A placeholder for the bottom (notifications) tab dock.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
leftTabbedDock</H3>
<PRE>
com.javadocking.dock.TabDock <B>leftTabbedDock</B></PRE>
<DL>
<DD>A placeholder for the left (navigation) tab dock.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
rightTabbedDock</H3>
<PRE>
com.javadocking.dock.TabDock <B>rightTabbedDock</B></PRE>
<DL>
<DD>A placeholder for the right (Reserved for future? Possibly find, etc?) tab dock.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
centerDockingPath</H3>
<PRE>
com.javadocking.model.DockingPath <B>centerDockingPath</B></PRE>
<DL>
<DD>A placeholder for the docking path of the center dock.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
find</H3>
<PRE>
<A HREF="com/theuberlab/njord/util/NjordFindPanel.html" title="class in com.theuberlab.njord.util">NjordFindPanel</A> <B>find</B></PRE>
<DL>
<DD>The find window.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
frameId</H3>
<PRE>
java.lang.String <B>frameId</B></PRE>
<DL>
<DD>The ID for the owner window.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
dockModel</H3>
<PRE>
com.javadocking.model.FloatDockModel <B>dockModel</B></PRE>
<DL>
<DD>The model with the docks, dockables, and visualizers (a minimizer and a maximizer).
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
dockables</H3>
<PRE>
com.javadocking.dockable.Dockable[] <B>dockables</B></PRE>
<DL>
<DD>All the dockables of the application.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
buttonDockablahs</H3>
<PRE>
com.javadocking.dockable.Dockable[] <B>buttonDockablahs</B></PRE>
<DL>
<DD>The new button dockables for the actual buttons which will end up in the application. Needs to be renamed after the existing buttonDockables is deleted.
<P>
<DL>
</DL>
</DL>

<P>
<A NAME="com.theuberlab.njord.ui.NjordNavTree"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="com/theuberlab/njord/ui/NjordNavTree.html" title="class in com.theuberlab.njord.ui">com.theuberlab.njord.ui.NjordNavTree</A> extends javax.swing.JPanel implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>2L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
log</H3>
<PRE>
org.slf4j.Logger <B>log</B></PRE>
<DL>
<DD>Holds our logger factory for SLF4J.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
treeModel</H3>
<PRE>
javax.swing.tree.TreeModel <B>treeModel</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
top</H3>
<PRE>
<A HREF="com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>top</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
remoteTree</H3>
<PRE>
<A HREF="com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>remoteTree</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
localTree</H3>
<PRE>
<A HREF="com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>localTree</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
localiRulesCategory</H3>
<PRE>
<A HREF="com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>localiRulesCategory</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
localiAppsTemplatesCategory</H3>
<PRE>
<A HREF="com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>localiAppsTemplatesCategory</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
navigationTree</H3>
<PRE>
javax.swing.JTree <B>navigationTree</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
owner</H3>
<PRE>
<A HREF="com/theuberlab/njord/ui/Njord.html" title="class in com.theuberlab.njord.ui">Njord</A> <B>owner</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
lastSelectedOrigin</H3>
<PRE>
<A HREF="com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>lastSelectedOrigin</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
lastSelectedContext</H3>
<PRE>
<A HREF="com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>lastSelectedContext</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
lastSelectedCategory</H3>
<PRE>
<A HREF="com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>lastSelectedCategory</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
lastSelectedEditablenode</H3>
<PRE>
<A HREF="com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>lastSelectedEditablenode</B></PRE>
<DL>
<DD>The last editable node selected.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
lastSelectedCategoryNode</H3>
<PRE>
<A HREF="com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>lastSelectedCategoryNode</B></PRE>
<DL>
<DD>Last selected category node. Category nodes are things like 'iRules.' since we can have multiple BIG-IPS as well as local 
 this will store the path component so that we can get the last selected category+context. Useful for 'new' type dialogs.
<P>
<DL>
</DL>
</DL>

<P>
<A NAME="com.theuberlab.njord.ui.NjordRuleEditorPanel"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="com/theuberlab/njord/ui/NjordRuleEditorPanel.html" title="class in com.theuberlab.njord.ui">com.theuberlab.njord.ui.NjordRuleEditorPanel</A> extends javax.swing.JPanel implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>1L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
name</H3>
<PRE>
java.lang.String <B>name</B></PRE>
<DL>
<DD>The short name of this node. I.E. myiRule. We have to store this because the layout manager is going to call getName()
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
fullName</H3>
<PRE>
java.lang.String <B>fullName</B></PRE>
<DL>
<DD>The full name including the path prefix for v10 systems. I.E. /Common/myiRule
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
owner</H3>
<PRE>
<A HREF="com/theuberlab/njord/ui/Njord.html" title="class in com.theuberlab.njord.ui">Njord</A> <B>owner</B></PRE>
<DL>
<DD>What created us.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
nl</H3>
<PRE>
java.lang.String <B>nl</B></PRE>
<DL>
<DD>Holds the line separator string for the os we're running on.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
logPrefix</H3>
<PRE>
java.lang.String <B>logPrefix</B></PRE>
<DL>
<DD>What to prefix log messages with
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
log</H3>
<PRE>
org.slf4j.Logger <B>log</B></PRE>
<DL>
<DD>Holds our logger factory for SLF4J.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
fileLoc</H3>
<PRE>
<A HREF="com/theuberlab/njord/util/NjordFileLocation.html" title="class in com.theuberlab.njord.util">NjordFileLocation</A> <B>fileLoc</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
editorPane</H3>
<PRE>
org.fife.ui.rsyntaxtextarea.TextEditorPane <B>editorPane</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
paneScrollPane</H3>
<PRE>
org.fife.ui.rtextarea.RTextScrollPane <B>paneScrollPane</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
autoCompletion</H3>
<PRE>
org.fife.ui.autocomplete.AutoCompletion <B>autoCompletion</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
annotationColor</H3>
<PRE>
java.awt.Color <B>annotationColor</B></PRE>
<DL>
<DD>The color to use for highlighting annotations
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
variableColor</H3>
<PRE>
java.awt.Color <B>variableColor</B></PRE>
<DL>
<DD>The color to use for highlighting variables
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
commentColor</H3>
<PRE>
java.awt.Color <B>commentColor</B></PRE>
<DL>
<DD>The color to use for highlighting comments
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
functionColor</H3>
<PRE>
java.awt.Color <B>functionColor</B></PRE>
<DL>
<DD>The color to use for highlighting functions
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
regexColor</H3>
<PRE>
java.awt.Color <B>regexColor</B></PRE>
<DL>
<DD>The color to use for highlighting regular expressions
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
reservedWordColor</H3>
<PRE>
java.awt.Color <B>reservedWordColor</B></PRE>
<DL>
<DD>The color to use for highlighting tcl built in commands
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
reservedWord2Color</H3>
<PRE>
java.awt.Color <B>reservedWord2Color</B></PRE>
<DL>
<DD>The color to use for highlighting iRules added commands
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
operatorColor</H3>
<PRE>
java.awt.Color <B>operatorColor</B></PRE>
<DL>
<DD>The color to use for highlighting operators
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
doublequoteColor</H3>
<PRE>
java.awt.Color <B>doublequoteColor</B></PRE>
<DL>
<DD>The color to use for highlighting quoted text
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
backquoteColor</H3>
<PRE>
java.awt.Color <B>backquoteColor</B></PRE>
<DL>
<DD>The color to use for highlighting backquoted text
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
bracketColor</H3>
<PRE>
java.awt.Color <B>bracketColor</B></PRE>
<DL>
<DD>The color to use for highlighting brackets
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
ruleEditor</H3>
<PRE>
org.fife.ui.rsyntaxtextarea.TextEditorPane <B>ruleEditor</B></PRE>
<DL>
<DD>The RSyntaxtTextArea pane.
<P>
<DL>
</DL>
</DL>

<P>
<A NAME="com.theuberlab.njord.ui.NjordTreeNode"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">com.theuberlab.njord.ui.NjordTreeNode</A> extends javax.swing.tree.DefaultMutableTreeNode implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>2L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
name</H3>
<PRE>
java.lang.String <B>name</B></PRE>
<DL>
<DD>The short name of this node. I.E. myiRule
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
fullName</H3>
<PRE>
java.lang.String <B>fullName</B></PRE>
<DL>
<DD>The full name including the path prefix for v10 systems. I.E. /Common/myiRule
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
populated</H3>
<PRE>
boolean <B>populated</B></PRE>
<DL>
<DD>Has the object that this node represents been fetched
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
nodeType</H3>
<PRE>
<A HREF="com/theuberlab/njord/constants/NjordNodeType.html" title="enum in com.theuberlab.njord.constants">NjordNodeType</A> <B>nodeType</B></PRE>
<DL>
<DD>The node type. I.E. NODE_TYPE_EDITABLE NODE_TYPE_ORIGIN, etc.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
nodeOrigin</H3>
<PRE>
<A HREF="com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>nodeOrigin</B></PRE>
<DL>
<DD>The node origin. I.E. The BIG-IP this node resides on. Or local.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
nodeContext</H3>
<PRE>
<A HREF="com/theuberlab/njord/constants/NjordNodeContext.html" title="enum in com.theuberlab.njord.constants">NjordNodeContext</A> <B>nodeContext</B></PRE>
<DL>
<DD>The node context. Local or remote.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
nodeCategory</H3>
<PRE>
<A HREF="com/theuberlab/njord/constants/NjordNodeCategory.html" title="enum in com.theuberlab.njord.constants">NjordNodeCategory</A> <B>nodeCategory</B></PRE>
<DL>
<DD>The node category.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
dirty</H3>
<PRE>
boolean <B>dirty</B></PRE>
<DL>
<DD>Dirty if the object that this node represents has been modified.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
bigIP</H3>
<PRE>
<A HREF="com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A> <B>bigIP</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="com.theuberlab.njord.ui.NjordTreeRenderer"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="com/theuberlab/njord/ui/NjordTreeRenderer.html" title="class in com.theuberlab.njord.ui">com.theuberlab.njord.ui.NjordTreeRenderer</A> extends javax.swing.tree.DefaultTreeCellRenderer implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>2L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
log</H3>
<PRE>
org.slf4j.Logger <B>log</B></PRE>
<DL>
<DD>Holds our logger factory for SLF4J.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
cleanIconPath</H3>
<PRE>
java.lang.String <B>cleanIconPath</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
cleanIcon</H3>
<PRE>
javax.swing.Icon <B>cleanIcon</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
dirtyIconPath</H3>
<PRE>
java.lang.String <B>dirtyIconPath</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
dirtyIcon</H3>
<PRE>
javax.swing.Icon <B>dirtyIcon</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
folderIconPath</H3>
<PRE>
java.lang.String <B>folderIconPath</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
folderIcon</H3>
<PRE>
javax.swing.Icon <B>folderIcon</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
bigipIconPath</H3>
<PRE>
java.lang.String <B>bigipIconPath</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
bigipIcon</H3>
<PRE>
javax.swing.Icon <B>bigipIcon</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
localIconPath</H3>
<PRE>
java.lang.String <B>localIconPath</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
localIcon</H3>
<PRE>
javax.swing.Icon <B>localIcon</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
nodeType</H3>
<PRE>
<A HREF="com/theuberlab/njord/constants/NjordNodeType.html" title="enum in com.theuberlab.njord.constants">NjordNodeType</A> <B>nodeType</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
owner</H3>
<PRE>
<A HREF="com/theuberlab/njord/ui/Njord.html" title="class in com.theuberlab.njord.ui">Njord</A> <B>owner</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>com.theuberlab.njord.util</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="com.theuberlab.njord.util.Chart"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="com/theuberlab/njord/util/Chart.html" title="class in com.theuberlab.njord.util">com.theuberlab.njord.util.Chart</A> extends javax.swing.JPanel implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
chartPanel</H3>
<PRE>
org.jfree.chart.ChartPanel <B>chartPanel</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="com.theuberlab.njord.util.NjordFindPanel"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="com/theuberlab/njord/util/NjordFindPanel.html" title="class in com.theuberlab.njord.util">com.theuberlab.njord.util.NjordFindPanel</A> extends javax.swing.JPanel implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>2L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
findField</H3>
<PRE>
javax.swing.JTextField <B>findField</B></PRE>
<DL>
<DD>The text field which hold the text to be searched for.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
replaceField</H3>
<PRE>
javax.swing.JTextField <B>replaceField</B></PRE>
<DL>
<DD>The text, if any, to replace the found text with.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
chckbxRegex</H3>
<PRE>
javax.swing.JCheckBox <B>chckbxRegex</B></PRE>
<DL>
<DD>Search using regular expression. I assume this is a Java regex but honestly I'm guessing there.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
chckbxReverse</H3>
<PRE>
javax.swing.JCheckBox <B>chckbxReverse</B></PRE>
<DL>
<DD>Search backwards.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
chckbxMatchCase</H3>
<PRE>
javax.swing.JCheckBox <B>chckbxMatchCase</B></PRE>
<DL>
<DD>Search for exact case match only.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
chckbxMatchWholeWords</H3>
<PRE>
javax.swing.JCheckBox <B>chckbxMatchWholeWords</B></PRE>
<DL>
<DD>Match whole words only.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
chckbxSearchWithinSelection</H3>
<PRE>
javax.swing.JCheckBox <B>chckbxSearchWithinSelection</B></PRE>
<DL>
<DD>Search within the highlighted text only.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
btnReplace</H3>
<PRE>
javax.swing.JButton <B>btnReplace</B></PRE>
<DL>
<DD>Replace the found text with the texxt from replaceField.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
btnReplaceFind</H3>
<PRE>
javax.swing.JButton <B>btnReplaceFind</B></PRE>
<DL>
<DD>Replace the found text with the texxt from replaceField and then find the next match.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
owner</H3>
<PRE>
<A HREF="com/theuberlab/njord/ui/Njord.html" title="class in com.theuberlab.njord.ui">Njord</A> <B>owner</B></PRE>
<DL>
<DD>The main window.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
btnFind</H3>
<PRE>
javax.swing.JButton <B>btnFind</B></PRE>
<DL>
<DD>the find button
<P>
<DL>
</DL>
</DL>

<P>
<A NAME="com.theuberlab.njord.util.NjordMessagePanel"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="com/theuberlab/njord/util/NjordMessagePanel.html" title="class in com.theuberlab.njord.util">com.theuberlab.njord.util.NjordMessagePanel</A> extends javax.swing.JPanel implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="com.theuberlab.njord.util.SmallPanel"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="com/theuberlab/njord/util/SmallPanel.html" title="class in com.theuberlab.njord.util">com.theuberlab.njord.util.SmallPanel</A> extends javax.swing.JPanel implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
label</H3>
<PRE>
javax.swing.JLabel <B>label</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="com.theuberlab.njord.util.Table"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="com/theuberlab/njord/util/Table.html" title="class in com.theuberlab.njord.util">com.theuberlab.njord.util.Table</A> extends javax.swing.JPanel implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
tableSize</H3>
<PRE>
int <B>tableSize</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="com.theuberlab.njord.util.ToolBarButton"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="com/theuberlab/njord/util/ToolBarButton.html" title="class in com.theuberlab.njord.util">com.theuberlab.njord.util.ToolBarButton</A> extends javax.swing.JLabel implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
action</H3>
<PRE>
javax.swing.Action <B>action</B></PRE>
<DL>
<DD>The action that will be performed when this button is clicked.
<P>
<DL>
</DL>
</DL>

<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?serialized-form.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="serialized-form.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
